package main

import (
	"log"

	"git.d3nexus.de/Dadido3/D3vugu-components/components/navigation"
	"github.com/vugu/vugu"
)

type PageLayout struct {
	Pagination navigation.PaginationInfo `vugu:"data"`
}

func (c *PageLayout) Init(ctx vugu.InitCtx) {
	c.Pagination.Page = 2
	c.Pagination.Pages = 10
}

func (c *PageLayout) handlePaginate(event navigation.PaginateEvent) {
	log.Printf("Current pagination info: %v", event.PaginationInfo)
}
